import java.awt.*;

public class Spielfeld implements Malbar {
    SpielfeldLayer hintergrund;
    RasterObject playerFigur;    
    
    public Spielfeld() {
        hintergrund = new SpielfeldLayer(10,10);
        playerFigur = GameStarter.sm.getPlayerObject();;
    }
    
    public void initLevel(int lvl) {
        if(lvl == 1) {
            playerFigur.setPosition(2,3);
            RasterObject m = new RasterObject("mauer.png");
            m.setWall(true);
            RasterObject gras = new RasterObject("gras.png");
            RasterObject b = new RasterObject("beton.png");
            for(int iy = 0; iy < hintergrund.layerheight; iy ++) {
                for(int ix = 0; ix < hintergrund.layerwidth; ix ++) {
                    hintergrund.addObjectAt(b,ix, iy);
                }
            }
            hintergrund.addObjectAt(m,1, 1);
            hintergrund.addObjectAt(m,2, 1);
            hintergrund.addObjectAt(m,3, 1);
            hintergrund.addObjectAt(m,4, 1);
            hintergrund.addObjectAt(m,5, 1);

            hintergrund.addObjectAt(gras,6, 1);
            hintergrund.addObjectAt(gras,6, 2);
            
            hintergrund.addObjectAt(m,1, 2);
        }
    }
    
    public void move(Malbar m, String command) {
        playerFigur.move(command);

        // todo
        // hier muesste z.B. geprueft werden, ob die gewuenschte Zielposition bereits
        // mit einem objekt belegt ist, bei dem "isWall()" true liefert.
        
    }
    
    public void paint(Graphics g) {
        paintAt(g,0,0);
    }

    public void paintAt(Graphics g, int rx, int ry) {
        hintergrund.paint(g);
        playerFigur.paint(g);
    }
    
}
